%%%%%%%%%% start of function rscale.m %%%%%%%%%%
%
% Function to perform row scaling of Jacobian matrix
%
% Written by: Roseanna M. Neupauer
% Modification Date: April 24, 1999
%
% [Aout, vout]=rscale(Ain,vin)
%
% Inputs
%     Ain          unscaled Jacobian matrix
%     vin          unscaled F vector
%
% Outputs
%     Aout         scaled Jacobian matrix
%     vout         scaled F vector

function [Aout, vout]=rscale(Ain,vin)

[nr,nc]=size(Ain);
maxval=max(Ain,[],2);
for i=1:nr
     Aout(i,:)=Ain(i,:)/maxval(i);
end
vout=vin./maxval;

return
%%%%%%%%%%  end of function rscale.m  %%%%%%%%%%
